Monday, August 25, 2008

Tip: Getting flash (YouTube) to work on OpenSUSE 11.0 KDE 3.5.9

During my vacations I decided to install OpenSUSE's KDE (3.5.9) flavor on my desktop.

My laptop is running OpenSUSE (Gnome flavor) since 11.0 came out and I must that it impressed me. So having liked the Gnome environment I decided to install KDE 3.5.9 starting from the net install disk.

Surprisingly when I fired up Firefox and pointed to YouTube I came across a warming telling me that I didn't have the flash plugin installed.

Here's how to fix the issue:

First make sure that you have the Non-OSS repository enabled.
  • $ su
  • # zypper lr
If the list doesn't contain the Non-OSS repository add it by:
  • # zypper ar non-oss
To install the flashplayer package:
  • # zypper in flashplayer-player
Now fire up Firefox and happy YouTube browsing.

No comments: